> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bodhveda.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a catalog entry

> Retrieve a single catalog entry by ID.

Retrieve a single catalog entry by its ID.


## OpenAPI

````yaml GET /preferences/{preference_id}
openapi: 3.0.3
info:
  title: Bodhveda Notifications API
  version: '1.0'
  description: API for sending notifications to recipients or broadcasting to all.
servers: []
security: []
paths:
  /preferences/{preference_id}:
    get:
      tags:
        - Project Preferences
      summary: Get a catalog entry
      description: Retrieve a single catalog entry by ID.
      operationId: getProjectPreference
      parameters:
        - name: preference_id
          in: path
          required: true
          schema:
            type: integer
          description: The catalog entry's ID.
      responses:
        '200':
          description: The catalog entry.
          content:
            application/json:
              examples:
                Entry:
                  summary: Entry Response
                  value:
                    data:
                      id: 12
                      project_id: 1
                      target:
                        channel: digest
                        topic: none
                        event: sent
                      medium: email
                      default_enabled: true
                      label: Daily digest
                      created_at: '2025-11-07T05:31:56Z'
                      updated_at: '2025-11-07T05:31:56Z'
        '404':
          description: No catalog entry with this ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuthWithAPIKeyWithFullAcessScope: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        details:
          type: string
  securitySchemes:
    BearerAuthWithAPIKeyWithFullAcessScope:
      type: http
      scheme: bearer
      bearerFormat: APIKey
      description: >-
        Bearer authentication header of the form `Bearer bv_xxxxxxxxx`, where
        `bv_xxxxxxxxx` is your **API Key** with `Full access` scope.

````